> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/enviar-arquivos-com-a-api-geopard.md).

# Enviar arquivos com a API GeoPard

{% hint style="success" %}
A abordagem recomendada para arquivos com mais de 6 MB é o [fluxo de URL pré-assinada](/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-solicitacoes-da-api-geopard/55.-enviar-arquivos-zip-acima-de-6-mb.md).
{% endhint %}

A API da GeoPard permite o upload de arquivos zip com conjuntos de dados de solo/produção/aplicado/limite para processamento e análises adicionais.

{% hint style="danger" %}
Devido a uma limitação da AWS, o tamanho máximo do arquivo que você pode enviar por este endpoint REST é 6 MB.
{% endhint %}

As etapas de upload para arquivos com mais de 6 MB são descritas em [Enviar arquivos zip (com mais de 6 MB)](/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-solicitacoes-da-api-geopard/55.-enviar-arquivos-zip-acima-de-6-mb.md).

Logo após o upload bem-sucedido do conjunto de dados de solo/produção/aplicado, o mecanismo GeoPard o vincula aos campos relacionados localizados dentro da fazenda definida.

Logo após o upload bem-sucedido do limite, o mecanismo GeoPard inicia seu processamento.

A resposta contém um `<uuid>` que você pode usar para acompanhar o status do processamento.

#### Exemplo de solicitação:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Os parâmetros são:

1. `<type>` - tipo do conjunto de dados enviado. Deve ser um `produção` OU `solo` OU `aplicado` OU `limite`.
2. `<farm_uuid>` - o `uuid` da Fazenda onde o arquivo será enviado (opcional).
3. `<token>` - token de acesso da GeoPard.
4. `@path/to/file.zip` - o caminho para o arquivo que está sendo enviado.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/enviar-arquivos-com-a-api-geopard.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
